| Home | Libraries | People | FAQ | More

##### basic_stream::release_socket

Release ownership of the underlying socket.

###### Synopsis

    socket_type
    release_socket();

###### Description

This function causes all outstanding asynchronous connect, read, and write operations to be canceled as if by a call to `basic_stream::cancel`. Ownership of the underlying socket is then transferred to the caller.